#****************************************************************************
# mc_brushless_dc.inc
#
# Project: SCT Application Example for LPC4300
#
# Description:
#   This include file is used for the SCT state machine code generator.
#----------------------------------------------------------------------------
# Software that is described herein is for illustrative purposes only
# which provides customers with programming information regarding the
# products. This software is supplied "AS IS" without any warranties.
# NXP Semiconductors assumes no responsibility or liability for the
# use of the software, conveys no license or title under any patent,
# copyright, or mask work right to the product. NXP Semiconductors
# reserves the right to make changes in the software without
# notification. NXP Semiconductors also make no representation or
# warranty that such application will be suitable for the specified
# use without further testing or modification.
#****************************************************************************

# Define the capabilities of the SCT block in LPC4300
STATES 32;
OUTPUTS 16;
INPUTS 8;
EVENTS 16;


# Assign input/output names to physical I/O numbers
ASSIGN INPUT ABORT 0;
ASSIGN INPUT    H1 1;
ASSIGN INPUT    H2 3;
ASSIGN INPUT    H3 4;
ASSIGN INPUT DEBUG 6;

ASSIGN OUTPUT SW1 0;
ASSIGN OUTPUT SW2 1;
ASSIGN OUTPUT SW3 2;
ASSIGN OUTPUT SW4 3;
ASSIGN OUTPUT SW5 4;
ASSIGN OUTPUT SW6 5;
ASSIGN OUTPUT DEAD 10;
ASSIGN OUTPUT TRIGGER 11;

# Note: the NXP evaluation board does not provide enough inputs/outputs, a Hitex board is needed.
